<script setup>
defineProps({
    desc: String
})
</script>

<template>
    <div class="TitleAndText">
        <p>{{ desc }}</p>
    </div>
</template>

<style lang="scss" scoped>
.TitleAndText {

    p {
        font-weight: 700;
        font-size: 14px;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        -webkit-line-clamp: 3;
        overflow: hidden;

        &::before {
            content: " ";
            display: inline-block;
            margin-left: 12px;
            width: 11px;
            height: 11px;
            border-radius: 50%;
            background: #FC9802;
        }
    }

    @media only screen and (max-width:768px) {

        p {
            font-size: 12px;
            line-height: 20px;
        }
    }
}
</style>